 <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />


    
</head>

<body>

    <div class="sf-container" id="contents">
        <div class="sf-content-wrap" style="margin-top: 0;">
            <div class="section-content">

                <h2 class="mb-30">Search Guide</h2>

                <div class="form-box-wrap">
                    <div class="row align-items-center"> 
                        <div class="col-label"> <!-- 230602 -->
                            <span class="label">
                                카테고리
                            </span>
                        </div>
                        <div class="col-6"> <!-- 230602 -->
                            <!-- <div class="col-8"> -->  <!-- 230602 -->
                                <div class="btn-group btn-group-sm mt-0" role="group">
                                    <input type="checkbox" class="btn-check" id="btncheck1" autocomplete="off">
                                    <label class="btn btn-outline-primary" for="btncheck1">ALL</label>
                                
                                    <input type="checkbox" class="btn-check" id="btncheck2" autocomplete="off">
                                    <label class="btn btn-outline-primary" for="btncheck2">생산운영</label>
                                
                                    <input type="checkbox" class="btn-check" id="btncheck3" autocomplete="off">
                                    <label class="btn btn-outline-primary" for="btncheck3">자재물류</label>

                                    <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                    <label class="btn btn-outline-primary" for="btncheck4">환경안전</label>
                                
                                    <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                                    <label class="btn btn-outline-primary" for="btncheck5">공정설비</label>
                                </div>
                            <!-- </div> --> <!-- 230602 -->
                        </div>
                        <div class="col-label"> <!-- 230602 -->
                            <span class="label">
                                상태
                            </span>
                        </div>
                        <div class="col-4"> <!-- 230602 -->
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk00" />
                                <label for="chk00">
                                    All
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk03" />
                                <label for="chk03">
                                    <span class="circle-status error"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk02" />
                                <label for="chk02">
                                    <span class="circle-status warning"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk01" />
                                <label for="chk01">
                                    <span class="circle-status confirmed"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk04" />
                                <label for="chk04">
                                    <span class="circle-status done"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk05" />
                                <label for="chk05">
                                    <span class="circle-status planning"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3 align-items-center">
                        <div class="col-label"><!-- 230602 -->
                            <span class="label">
                                검색영역
                            </span>
                        </div>
                        <div class="col-9">
                            <div class="form-group"> 
                                <div id="theComboBox1" class="w-100p"></div>
                                <input type="text" placeholder="Filled Text" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="btns">
                        <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                            <i class="icon icon-refresh"></i>
                        </button>
                        <button class="sf-btn btn-darkgrey">
                            <i class="icon icon-search-white"></i>
                            <span>조회</span>
                        </button>
                    </div>
                </div>

                <div class="form-box-wrap">
                    <div class="row justify-content-between align-items-center"> 
                        <div class="col-label">
                            <span class="label">
                                <span class="required"> </span>
                                아젠다
                            </span>
                        </div>
                        <div class="col-2">
                            <div class="form-group"> 
                                <div id="theComboBox2" class="w-100"></div>
                            </div>
                        </div>
                        <div class="col-label">
                            <span class="label">
                                <span class="required"> </span>
                                중점추진과제
                            </span>
                        </div>
                        <div class="col-2">
                            <div class="form-group"> 
                                <div id="theComboBox3" class="w-100"></div>
                            </div>
                        </div>
                        <div class="col-label">
                            <span class="label">
                                <span class="required"> </span>
                                중점추진과제
                            </span>
                        </div>
                        <div class="col-2">
                            <div class="form-group"> 
                                <div id="theComboBox4" class="w-100"></div>
                            </div>
                        </div>
                        <div class="col-label">
                            <span class="label">
                                <span class="required"> </span>
                                대공정
                            </span>
                        </div>
                        <div class="col-2">
                            <div class="form-group"> 
                                <div id="theComboBox5" class="w-100"></div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="form-box-wrap">
                    <div class="row align-items-center">
                        <div class="col-label">
                            <span class="label">공장</span>
                        </div>
                        <div class="col-6">
                            <div class="custom-checkbox p-0">
                                <input type="checkbox" id="chk01" />
                                <label for="chk01">All</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk02" />
                                <label for="chk02">OC</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk03" />
                                <label for="chk03">OC2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk04" />
                                <label for="chk04">MI</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk05" />
                                <label for="chk05">NA</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk06" />
                                <label for="chk06">WA</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk07" />
                                <label for="chk07">GM1</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk08" />
                                <label for="chk08">GM2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk09" />
                                <label for="chk09">HM</label>
                            </div>
                        </div>
                        <div class="col-label">
                            <span class="label">레벨</span>
                        </div>
                        <div class="col-4">
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk11">All</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk12">1</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk13">2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk14">3</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk15">4</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk16">5</label>
                            </div>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-label">
                            <span class="label">영역</span>
                        </div>
                        <div class="col-6">
                            <div class="row align-items-center">
                                <div class="col-5 ps-0 pe-5">  <!-- 230612 클래스 추가 -->
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap1">
                                            <div id="theMultiSelect" class="w-100 h-100"></div> 
                                            <div id="checkedItems" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-2 col-label">
                                    <span class="label">대공정</span>
                                </div>
                                <div class="col-5">
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap2">
                                            <div id="theMultiSelect2" class="w-100 h-100"></div>
                                            <div id="checkedItems2" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                       
                        <div class="col-label">
                            <span class="label">상태</span>
                        </div>
                        <div class="col-4">
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk31" />
                                <label for="chk31">
                                    <span class="circle-status confirmed"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk32" />
                                <label for="chk32">
                                    <span class="circle-status warning"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk33" />
                                <label for="chk33">
                                    <span class="circle-status error"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk34" />
                                <label for="chk34">
                                    <span class="circle-status done"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk35" />
                                <label for="chk35">
                                    <span class="circle-status planning"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="form-box-wrap">
                    <div class="row align-items-center"> 
                        <div class="col-label">
                            <span class="label">
                                <span class="required"> </span>
                                업무 구분
                            </span>
                        </div>
                        <div class="col-6">
                            <div class="row align-items-center">
                                <div class="col-5 ps-0">
                                    <div class="custom-radio">
                                        <input type="radio" id="sel01" name="sel" checked />
                                        <label for="sel01">내 업무</label>
                                    </div>
                                    <div class="custom-radio">
                                        <input type="radio" id="sel02" name="sel" />
                                        <label for="sel02">부서 업무</label>
                                    </div>
                                    <div class="custom-radio">
                                        <input type="radio" id="sel03" name="sel" />
                                        <label for="sel03">전체</label>
                                    </div>
                                </div>
                                <div class="col-2 col-label">
                                    <span class="label">검색어</span>
                                </div>
                                <div class="col-5">
                                    <div class="form-group"> 
                                        <input type="text" placeholder="입력하세요" class="w-100" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="hr hide-item"></div>
                    <div class="row align-items-center hide-item">
                        <div class="col-label">
                            <span class="label">공장</span>
                        </div>
                        <div class="col-6">
                            <div class="custom-checkbox p-0">
                                <input type="checkbox" id="chk01" />
                                <label for="chk01">All</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk02" />
                                <label for="chk02">OC</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk03" />
                                <label for="chk03">OC2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk04" />
                                <label for="chk04">MI</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk05" />
                                <label for="chk05">NA</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk06" />
                                <label for="chk06">WA</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk07" />
                                <label for="chk07">GM1</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk08" />
                                <label for="chk08">GM2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk09" />
                                <label for="chk09">HM</label>
                            </div>
                        </div>
                        <div class="col-label">
                            <span class="label">레벨</span>
                        </div>
                        <div class="col-4">
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk11">All</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk12">1</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk13">2</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk14">3</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk15">4</label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk11" />
                                <label for="chk16">5</label>
                            </div>
                        </div>
                    </div>
                    <div class="row align-items-center hide-item">
                        <div class="col-label">
                            <span class="label">영역</span>
                        </div>
                        <div class="col-6">
                            <div class="row align-items-center">
                                <div class="col-5 ps-0 pe-5">  <!-- 230612 클래스 추가 -->
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap3">
                                            <div id="theMultiSelect3" class="w-100 h-100"></div>
                                            <div id="checkedItems3" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-2 col-label">
                                    <span class="label">대공정</span>
                                </div>
                                <div class="col-5">
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap4">
                                            <div id="theMultiSelect4" class="w-100 h-100"></div>
                                            <div id="checkedItems4" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                       
                        <div class="col-label">
                            <span class="label">상태</span>
                        </div>
                        <div class="col-4">
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk31" />
                                <label for="chk31">
                                    <span class="circle-status confirmed"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk32" />
                                <label for="chk32">
                                    <span class="circle-status warning"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk33" />
                                <label for="chk33">
                                    <span class="circle-status error"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk34" />
                                <label for="chk34">
                                    <span class="circle-status done"></span>
                                </label>
                            </div>
                            <div class="custom-checkbox">
                                <input type="checkbox" id="chk35" />
                                <label for="chk35">
                                    <span class="circle-status planning"></span>
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="btns top">
                        <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                            <i class="icon icon-setting"></i>
                        </button>
                        <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                            <i class="icon icon-refresh"></i>
                        </button>
                        <button class="sf-btn btn-darkgrey me-1">
                            <i class="icon icon-search-white"></i>
                            <span>조회</span>
                        </button>
                        <button class="sf-btn btn-darkgrey btn-icon-xlg" id="btn-fold-search">
                            <i class="icon icon-folding"></i>
                        </button>
                    </div>
                </div>

                <h3 class="mb-2">split 검색영역</h3>

                <div class="split-wrapper">
                    <div class="split left splitted" >
                        <div class="form-box-wrap">
                            <div class="row align-items-center"> 
                                <div class="col-1 px-0 mb-2 mb-xxl-0">
                                    <span class="label">
                                        업무 구분
                                    </span>
                                </div>
                                <div class="col-11 col-xxl-3 mb-2 mb-xxl-0">
                                    <div class="custom-radio">
                                        <input type="radio" id="sel01" name="sel" checked />
                                        <label for="sel01">내 업무</label>
                                    </div>
                                    <div class="custom-radio">
                                        <input type="radio" id="sel02" name="sel" />
                                        <label for="sel02">부서 업무</label>
                                    </div>
                                    <div class="custom-radio">
                                        <input type="radio" id="sel03" name="sel" />
                                        <label for="sel03">전체</label>
                                    </div>
                                </div>
                                <div class="col-1 px-0">
                                    <span class="label">검색어</span>
                                </div>
                                <div class="col-6 col-xxl-2 col-xxxl-3">
                                    <div class="form-group"> 
                                        <input type="text" placeholder="입력하세요" class="w-100" />
                                    </div>
                                </div>
                            </div>
                            <div class="hr hide-item"></div>
                            <div class="row align-items-center hide-item">
                                <div class="col-1 px-0 mb-2 mb-xxl-0">
                                    <span class="label">공장</span>
                                </div>
                                <div class="col-11 col-xxxl-7 mb-2 mb-xxl-0">
                                    <div class="custom-checkbox p-0">
                                        <input type="checkbox" id="chk01" />
                                        <label for="chk01">All</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk02" />
                                        <label for="chk02">OC</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk03" />
                                        <label for="chk03">OC2</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk04" />
                                        <label for="chk04">MI</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk05" />
                                        <label for="chk05">NA</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk06" />
                                        <label for="chk06">WA</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk07" />
                                        <label for="chk07">GM1</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk08" />
                                        <label for="chk08">GM2</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk09" />
                                        <label for="chk09">HM</label>
                                    </div>
                                </div>
                                <div class="col-1 px-0">
                                    <span class="label">레벨</span>
                                </div>
                                <div class="col-11 col-xxxl-3">
                                    <div class="custom-checkbox p-0">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk11">All</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk12">1</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk13">2</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk14">3</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk15">4</label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk11" />
                                        <label for="chk16">5</label>
                                    </div>
                                </div>
                            </div>
                            <div class="row align-items-center hide-item">
                                <div class="col-1 px-0 mb-2 mb-xxxl-0">
                                    <span class="label">영역</span>
                                </div>
                                <div class="col-11 col-xxxl-3 mb-2 mb-xxxl-0 pe-5">  <!-- 230612 클래스 추가 -->
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap5">
                                            <div id="theMultiSelect5" class="w-100 h-100"></div>
                                            <div id="checkedItems5" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-1 px-0 mb-2 mb-xxxl-0">
                                    <span class="label">대공정</span>
                                </div>
                                <div class="col-11 col-xxxl-3 mb-2 mb-xxxl-0">
                                    <div class="form-group">
                                        <div class="multiselect-wrap wrap6">
                                            <div id="theMultiSelect6" class="w-100 h-100"></div>
                                            <div id="checkedItems6" class="checked-item"></div>
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="col-1 px-0">
                                    <span class="label">상태</span>
                                </div>
                                <div class="col-11 col-xxxl-3">
                                    <div class="custom-checkbox p-0">
                                        <input type="checkbox" id="chk31" />
                                        <label for="chk31">
                                            <span class="circle-status confirmed"></span>
                                        </label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk32" />
                                        <label for="chk32">
                                            <span class="circle-status warning"></span>
                                        </label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk33" />
                                        <label for="chk33">
                                            <span class="circle-status error"></span>
                                        </label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk34" />
                                        <label for="chk34">
                                            <span class="circle-status done"></span>
                                        </label>
                                    </div>
                                    <div class="custom-checkbox">
                                        <input type="checkbox" id="chk35" />
                                        <label for="chk35">
                                            <span class="circle-status planning"></span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <div class="btns top">
                                <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                                    <i class="icon icon-setting"></i>
                                </button>
                                <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                                    <i class="icon icon-refresh"></i>
                                </button>
                                <button class="sf-btn btn-darkgrey me-1">
                                    <i class="icon icon-search-white"></i>
                                    <span>조회</span>
                                </button>
                                <button class="sf-btn btn-darkgrey btn-icon-xlg" id="btn-fold-search">
                                    <i class="icon icon-folding"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="split right splitted"style="height: 80px;">
                        <div class="form-box-wrap" ></div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Wijmo core -->
    <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>

    <!-- Swiper JS -->
    <script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>

   

    <script>
        function getData() {
            return [
                { id: 1, area: '원통형'},
                { id: 2, area: '공통'},
                { id: 3, area: '원통형'},
                { id: 4, area: '공통'},
                { id: 5, area: '공통'},
                { id: 6, area: '공통'},
                { id: 7, area: '원통형'},
                { id: 8, area: '공통'},
                { id: 9, area: '공통'},
                { id: 10, area: '공통'},
            ];
        }

        function init() {
           
             //MultiSelect 1
             let theMultiSelect1 = new wijmo.input.MultiSelect('#theMultiSelect', {
                placeholder: '영역',
                // headerFormat: '{count:n0} 영역', 230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight1
            });

            //MultiSelect 2
            let theMultiSelect2 = new wijmo.input.MultiSelect('#theMultiSelect2', {
                placeholder: '대공정',
                // headerFormat: '{count:n0} 대공정',230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight2
            });

             //MultiSelect 3
             let theMultiSelect3 = new wijmo.input.MultiSelect('#theMultiSelect3', {
                placeholder: '영역',
                // headerFormat: '{count:n0} 영역', 230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight3
            });

            //MultiSelect 4
            let theMultiSelect4 = new wijmo.input.MultiSelect('#theMultiSelect4', {
                placeholder: '대공정',
                // headerFormat: '{count:n0} 대공정', 230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight4
            });

             //MultiSelect 5
             let theMultiSelect5 = new wijmo.input.MultiSelect('#theMultiSelect5', {
                placeholder: '영역',
                // headerFormat: '{count:n0} 영역', 230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight5
            });

            //MultiSelect 6
            let theMultiSelect6 = new wijmo.input.MultiSelect('#theMultiSelect6', {
                placeholder: '대공정',
                // headerFormat: '{count:n0} 대공정', 230612
                displayMemberPath: 'area',
                itemsSource: getData(),
                checkedItemsChanged: updateCheckedItemsHeight6
            });

            // function updateCheckedItemsHeight1(sender) {
            //     let html = '';
            //     sender.checkedItems.forEach((item) => {
            //         html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
            //     });
            //     document.querySelector('#checkedItems').innerHTML = html;

            //     // Get the height of #checkedItems
            //     let checkedItemsHeight = document.querySelector('#checkedItems').offsetHeight;

            //     // Apply the height to .multiselect-wrap
            //     document.querySelector('.wrap1').style.height = checkedItemsHeight + 2 + 'px';
            // }

            function updateCheckedItemsHeight1(sender) {
                let html = '';
                let checkItemHeight = 28;
                
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems').innerHTML = html;

                // Get the previous checkedItemsHeight
                let previousCheckedItemsHeight = parseInt(document.querySelector('#checkedItems').getAttribute('data-height'), 10) || 0;
                console.log("previousCheckedItemsHeight : " + previousCheckedItemsHeight)

                // Get the updated checkedItemsHeight
                let updatedCheckedItemsHeight = document.querySelector('#checkedItems').offsetHeight;
                console.log("updatedCheckedItemsHeight : " + updatedCheckedItemsHeight)

                // Apply the updated checkedItemsHeight to .multiselect-wrap
                document.querySelector('.wrap1').style.height = updatedCheckedItemsHeight + 2 + 'px';

                // Calculate the difference between the previous and updated checkedItemsHeight
                let heightDifference = updatedCheckedItemsHeight - previousCheckedItemsHeight;
                console.log("heightDifference : " + heightDifference)

                // Update the top position of .wj-dropdown-panel
                let dropdownPanel = document.querySelector('#theMultiSelect_dropdown');

                if (updatedCheckedItemsHeight === checkItemHeight && heightDifference > 0) {
                    dropdownPanel.style.top = (parseInt(dropdownPanel.style.top, 10) ) + 'px';
                } else if (updatedCheckedItemsHeight === 0 && heightDifference === -checkItemHeight ){
                    dropdownPanel.style.top = (parseInt(dropdownPanel.style.top, 10) ) + 'px';
                } else {
                    dropdownPanel.style.top = (parseInt(dropdownPanel.style.top, 10) + heightDifference) + 'px';
                }
                
                console.log("dropdownPanel.style.top : " +  dropdownPanel.style.top)
                console.log("========== dropdownPanel ===========")
                // Store the updated checkedItemsHeight as the previousCheckedItemsHeight for the next call
                document.querySelector('#checkedItems').setAttribute('data-height', updatedCheckedItemsHeight);
            }

            function updateCheckedItemsHeight2(sender) {
                let html = '';
                let checkItemHeight = 28;
                
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems2').innerHTML = html;

                // Get the previous checkedItemsHeight
                let previousCheckedItemsHeight2 = parseInt(document.querySelector('#checkedItems2').getAttribute('data-height'), 10) || 0;
                console.log("previousCheckedItemsHeight2 : " +  previousCheckedItemsHeight2)

                // Get the updated checkedItemsHeight
                let updatedCheckedItemsHeight2 = document.querySelector('#checkedItems2').offsetHeight;
                console.log("updatedCheckedItemsHeight2 : " +  updatedCheckedItemsHeight2)

                // Apply the updated checkedItemsHeight to .multiselect-wrap
                document.querySelector('.wrap2').style.height = updatedCheckedItemsHeight2 + 2 + 'px';

                // Calculate the difference between the previous and updated checkedItemsHeight
                let heightDifference2 = updatedCheckedItemsHeight2 - previousCheckedItemsHeight2;
                console.log("heightDifference2 : " +  heightDifference2)

                // Update the top position of .wj-dropdown-panel
                let dropdownPanel2 = document.querySelector('#theMultiSelect2_dropdown');

                if (updatedCheckedItemsHeight2 === checkItemHeight && heightDifference2 > 0) {
                    dropdownPanel2.style.top = (parseInt(dropdownPanel2.style.top, 10) ) + 'px';
                } else if (updatedCheckedItemsHeight2 === 0 && heightDifference2 === -checkItemHeight ){
                    dropdownPanel2.style.top = (parseInt(dropdownPanel2.style.top, 10) ) + 'px';
                } else {
                    dropdownPanel2.style.top = (parseInt(dropdownPanel2.style.top, 10) + heightDifference2) + 'px';
                }
                console.log("dropdownPanel2.style.top : " +  dropdownPanel2.style.top)
                console.log("========== dropdownPanel2 ===========")
                
                // Store the updated checkedItemsHeight as the previousCheckedItemsHeight for the next call
                document.querySelector('#checkedItems2').setAttribute('data-height', updatedCheckedItemsHeight2);
            }


            function updateCheckedItemsHeight3(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems3').innerHTML = html;

                // Get the height of #checkedItems2
                let checkedItemsHeight = document.querySelector('#checkedItems3').offsetHeight;

                // Apply the height to .multiselect-wrap
                document.querySelector('.wrap3').style.height = checkedItemsHeight + 2 + 'px';
            }
            function updateCheckedItemsHeight4(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems4').innerHTML = html;

                // Get the height of #checkedItems4
                let checkedItemsHeight = document.querySelector('#checkedItems4').offsetHeight;

                // Apply the height to .multiselect-wrap
                document.querySelector('.wrap4').style.height = checkedItemsHeight + 2 + 'px';
            }

            function updateCheckedItemsHeight5(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems5').innerHTML = html;

                // Get the height of #checkedItems5
                let checkedItemsHeight = document.querySelector('#checkedItems5').offsetHeight;

                // Apply the height to .multiselect-wrap
                document.querySelector('.wrap5').style.height = checkedItemsHeight + 2 + 'px';
            }

            function updateCheckedItemsHeight6(sender) {
                let html = '';
                sender.checkedItems.forEach((item) => {
                    html += `<span class="selected"><span>${item.area}</span> <button><i class="icon ico-delete-circle"></i></button></span>`;
                });
                document.querySelector('#checkedItems6').innerHTML = html;

                // Get the height of #checkedItems6
                let checkedItemsHeight = document.querySelector('#checkedItems6').offsetHeight;

                // Apply the height to .multiselect-wrap
                document.querySelector('.wrap6').style.height = checkedItemsHeight + 2 + 'px';
            }

            window.addEventListener('resize', () => {
                updateCheckedItemsHeight1(theMultiSelect1);
                updateCheckedItemsHeight2(theMultiSelect2);
                updateCheckedItemsHeight3(theMultiSelect3);
                updateCheckedItemsHeight4(theMultiSelect4);
                updateCheckedItemsHeight5(theMultiSelect6);
                updateCheckedItemsHeight6(theMultiSelect6);
            });

        }
        init();

        // 조회 영역 펼치기
        var btnFold = document.getElementById('btn-fold-search');
        var hideRows = document.querySelectorAll('.hide-item');

        btnFold.addEventListener('click', function() {
            btnFold.classList.toggle('open');
            hideRows.forEach(function(hideRows) {
                hideRows.classList.toggle('hide-item');
            });
        });

        //DropDowns
        const comboBoxConfigurations = [
            {
                selector: '#theComboBox1',
                itemsSource: ['전체', '1']
            },
            {
                selector: '#theComboBox2',
                itemsSource: ['OEE', 'OA', 'OE', 'EE']
            },
            {
                selector: '#theComboBox3',
                itemsSource: ['1', '2', '3', '4']
            },
            {
                selector: '#theComboBox4',
                itemsSource: ['OEE', 'OA', 'OE', 'EE']
            },
            {
                selector: '#theComboBox5',
                itemsSource: ['작성중']
            }
            ];

            comboBoxConfigurations.forEach(config => {
            new wijmo.input.ComboBox(config.selector, {
                itemsSource: config.itemsSource
            });
        });


    </script>
</body>
</html>